diff --git a/web/pgadmin/preferences/static/js/components/PreferencesComponent.jsx b/web/pgadmin/preferences/static/js/components/PreferencesComponent.jsx
index bc238179..07415733 100644
--- a/web/pgadmin/preferences/static/js/components/PreferencesComponent.jsx
+++ b/web/pgadmin/preferences/static/js/components/PreferencesComponent.jsx
@@ -233,6 +233,7 @@ export default function PreferencesComponent({ ...props }) {
     });
   }, []);
   function setPreferences(node, subNode, nodeData, preferencesValues, preferencesData) {
+    let addBinaryPathNote = false;
     subNode.preferences.forEach((element) => {
       let note = '';
       let type = getControlMappedForType(element.type);
@@ -247,7 +248,10 @@ export default function PreferencesComponent({ ...props }) {
         element.editable = false;
         element.disabled = true;
         preferencesValues[element.id] = JSON.parse(element.value);
-        addNote(node, subNode, nodeData, preferencesData, note);
+        if(addBinaryPathNote) {
+          addNote(node, subNode, nodeData, preferencesData, note);
+        }
+        addBinaryPathNote = true;
       }
       else if (type == 'select') {
         setControlProps(element);
diff --git a/web/pgadmin/static/js/components/KeyboardShortcuts.jsx b/web/pgadmin/static/js/components/KeyboardShortcuts.jsx
index 61661d43..688045b0 100644
--- a/web/pgadmin/static/js/components/KeyboardShortcuts.jsx
+++ b/web/pgadmin/static/js/components/KeyboardShortcuts.jsx
@@ -60,7 +60,7 @@ export default function KeyboardShortcuts({ value, onChange, fields }) {
 
   const onCtrlChange = (e) => {
     let newVal = { ...value };
-    newVal.ctrl = e.target.checked;
+    newVal.control = e.target.checked;
     onChange(newVal);
   };
 
@@ -105,7 +105,7 @@ export default function KeyboardShortcuts({ value, onChange, fields }) {
         } else if (element.name == 'control') {
           return <Grid item lg={2} md={2} sm={2} xs={12} className={classes.inputLabel} key={_.uniqueId('c')}>
             <Box className={classes.inputCheckboxClass}>
-              <InputCheckbox id={ctrlCid} helpid={ctrlhelpid} value={value?.ctrl}
+              <InputCheckbox id={ctrlCid} helpid={ctrlhelpid} value={value?.control}
                 controlProps={ctrlProps}
                 onChange={onCtrlChange}></InputCheckbox>
             </Box>
diff --git a/web/regression/javascript/components/KeyboardShortcuts.spec.js b/web/regression/javascript/components/KeyboardShortcuts.spec.js
index 370ce65d..c45d0be8 100644
--- a/web/regression/javascript/components/KeyboardShortcuts.spec.js
+++ b/web/regression/javascript/components/KeyboardShortcuts.spec.js
@@ -22,7 +22,7 @@ import { InputCheckbox } from '../../../pgadmin/static/js/components/FormCompone
 describe('KeyboardShortcuts', () => {
   let mount;
   let defult_value = {
-    'ctrl': true,
+    'control': true,
     'alt': true,
     'key': {
       'char': 'a',
@@ -85,26 +85,26 @@ describe('KeyboardShortcuts', () => {
 
     it('Key change', (done) => {
       ctrl.find(OutlinedInput).at(0).find('input').simulate('keydown', { key: '', keyCode: 32});
-      expect(onChange).toHaveBeenCalledWith({ ctrl: true, alt: true, key: { char: 'Space', key_code: 32 }, shift: false });
+      expect(onChange).toHaveBeenCalledWith({ control: true, alt: true, key: { char: 'Space', key_code: 32 }, shift: false });
       done();
     });
 
     it('Shift option', (done) => {
       ctrl.find(InputCheckbox).at(0).find('input').simulate('change', { target: { checked: true, name: 'shift' } });
-      expect(onChange).toHaveBeenCalledWith({ ctrl: true, alt: true, key: { char: 'a', key_code: 97 }, shift: true });
+      expect(onChange).toHaveBeenCalledWith({ control: true, alt: true, key: { char: 'a', key_code: 97 }, shift: true });
       done();
     });
 
-    it('Ctrl option', (done) => {
+    it('Control option', (done) => {
       ctrl.find(InputCheckbox).at(1).find('input').simulate('change', { target: { checked: false, name: 'ctrl' } });
-      expect(onChange).toHaveBeenCalledWith({ ctrl: false, alt: true, key: { char: 'a', key_code: 97 }, shift: false });
+      expect(onChange).toHaveBeenCalledWith({ control: false, alt: true, key: { char: 'a', key_code: 97 }, shift: false });
       done();
     });
 
 
     it('Alt option', (done) => {
       ctrl.find(InputCheckbox).at(2).find('input').simulate('change', { target: { checked: false, name: 'alt' } });
-      expect(onChange).toHaveBeenCalledWith({ ctrl: true, alt: false, key: { char: 'a', key_code: 97 }, shift: false });
+      expect(onChange).toHaveBeenCalledWith({ control: true, alt: false, key: { char: 'a', key_code: 97 }, shift: false });
       done();
     });
 
